<script>
	
	  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==118){ 

						pagacon=document.getElementById("basetotpago2").value;
						parent.document.getElementById("pagacon").value=pagacon;
						parent.document.getElementById("pagacon").focus();

 } 
 
  }  
  }
	
	
	
	
	function NuevoAbono(numfac) {
			parent.location.href="NuevoAbono.php?numfac=" + numfac;
		}




var fila = 0;
function pulsar(e) {
  tab = document.getElementById('Table1');
  filas = tab.getElementsByTagName('tr');
  if (e.keyCode==38 && fila>0) num=-1;
   else if(e.keyCode==40 && fila<filas.length-1) num=1;
   else return;
  filas[fila].style.background = 'white';
  fila+=num;
  filas[fila].style.background = 'yellow';
  
}



function chk_aplicacion(numfac,selfac,numlinea)
			{
   	posicion=(numlinea*18)-120;
   	parent.document.formulario.numfac.value=numfac; 
	parent.document.formulario.selfac.value=selfac;
	parent.document.formulario.posicion.value=posicion;
	parent.document.getElementById("formulario").submit();
    var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft =posicion; 
    elmnt.scrollTop =posicion;
 
		}



function validar_monto(salact,monabo)
			{
	if (monabo < salact ){

		alert("Atencion, el abono es mayor que el saldo ")
			
			} else {
				alert("Atencion, el abono es memor al saldo:\n\n"+monabo);
	
				}
		}
				///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		




salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

	
	function pon_prefijo(acumulado) {
	parent.document.formulario.acumulado.value=acumulado;		
	
}

					function inicio() {
    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
	
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton(); inicio();">
<?php 

include ("../conexion.php");
  $cdgcli=$_POST["cdgcli"];
  if (!isset($_POST["seleccionar"])) { $seleccionar=""; } else  { $seleccionar=$_POST["seleccionar"]; }
  if (!isset($_POST["tazint"])) { $tazint=""; } else  { $tazint=$_POST["tazint"]; }
  $numfac=$_POST["numfac"];
echo  $cambio=$_POST["cambio"];

 $selfac=$_POST["selfac"];
 $numrec=$_POST["numrec"];


  $posicion=$_POST["posicion"];
  $hoy=date("y-m-d");
  
  $saldo_factura =0;
  $monab         =0;
  $preciototal   =0;
  $montot        =0;
  $acumulado     =0;
  $tottra        =0;
  $baseint       =0;
  $basesaldo     =0;
  $basetotal     =0;
  $basetotpago   =0;
  $basetotpago2  =0;
  $baseporpagar  =0;
  $basesaldos    =0;
  $baseabono     =0;
  $baseabonoint  =0;
  $basesalfac    =0;
  $baseintereses =0;


?>

<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
<?php	

    if ($cambio==1) {
		
		$consulta1 = "DELETE FROM tramites_clientes_lineastmp  WHERE numrec ='$numrec'  ";
		$mysqli->query($consulta1);


	    $query_tmp= ("SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC" );
		if ($resultado = $mysqli->query($query_tmp))  {

  				while ($dato = $resultado->fetch_assoc()) {

				$totfac   = $dato['TOTNET'];
				$numfac   = $dato['NUMFAC'];
				$salact   = $dato['SALACT'];
				$fecfac   = $dato['FECFAC'];
				$fecven   = $dato['FECVEN'];
				$pladia   = $dato['PLADIA'];

		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 ) {
		$tazint=$_POST["tazint"];
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$monint=$saldo*$dias;
		$intfac=$saldo*$dias;
		$monint=round($monint,2);
		$intfac=round($intfac,2);
		} else {
		$monint=0;
		$intfac=0;
		$dias=0; 
	}
	

		   $saldo_factura=$salact-($preciototal-$monint);
			$monabo=$preciototal-$monint;
		    $preciototal=$preciototal-$preciototal;
		
		
	

		$sel_insertar3="INSERT INTO tramites_clientes_lineastmp (numrec,numlinea,salfac, borrado,cdgcli,numfac,totfac,fecven, monint,intfac, fecfac, diaven ) VALUES 
		('$numrec','','$salact','$seleccionar','$cdgcli','$numfac','$totfac','$fecven' ,'$monint','$intfac','$fecfac' ,'$dias')";
		$mysqli->query($sel_insertar3);
	

		
			}
	?>
            		<script>
	 	
				parent.document.getElementById("cambio").value=0;
				
					</script>
			<?php
				} else {
						?>

  <table class="fuente8" width="98%" cellspacing=0 cellpadding=0 border=0>
				<tr>
		<td width="98%" class="mensaje"><?php echo "El Cliente no tiene facturas pendientes";?></td>
        	
            		<script>
	 	
				parent.document.getElementById("cdgcli").select();
				
					</script>
	      </tr>
	  </table>
		<?php
 
	}
	 }  else {
		
		
	
	
	$numfac=$_POST["numfac"];
			
			if ($numfac <> "")  {
	
				if ($selfac==1)  {
				$borrado=1;
				} else {
				$borrado=0;
	            
				}
		$selecionar="UPDATE tramites_clientes_lineastmp SET  borrado='$borrado' WHERE cdgcli='$cdgcli' AND numfac='$numfac'";
		$mysqli->query($selecionar);
		  ?>
	  		<script>
	 	
				parent.document.getElementById("numfac").value="";
				parent.document.getElementById("selfac").value="";
				parent.document.getElementById("cambio").value=0;
				
			</script>	
			<?php
		}
		}


	  ?>

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php

	
		$sel_lineas= ("SELECT * FROM tramites_clientes_lineastmp WHERE numrec='$numrec' ORDER BY numlinea ASC" );
		if ($resultado2 = $mysqli->query($sel_lineas)) 
		$contador=0;
  				while ($dato2 = $resultado2->fetch_assoc()) {

				$totfac   = $dato2['totfac'];
				$numfac   = $dato2['numfac'];
				$salfac   = $dato2['salfac'];
				$fecfac   = $dato2['fecfac'];
				$fecven   = $dato2['fecven'];
				$monint   = $dato2['monint'];
				$intfac   = $dato2['intfac'];
				$borrado  = $dato2['borrado'];

	$fecfac= implode("-", array_reverse(explode("-", $fecfac)));
	$fecven= implode("-", array_reverse(explode("-", $fecven)));
	
	$montot=$salfac+$monint;
	$acumulado= $montot + $acumulado;
	if ($borrado==1) {
		
	$tottra=$montot+$tottra;	
	
	 }
	

	$baseint=$monint+$baseint;
	$basesaldo=$salfac+$basesaldo;
	$basetotal=$totfac+$basetotal;



  $aplnot=2;  // Devuelve el valor chkbox de aplicar a factura 
	if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
			<tr class="<?php echo $fondolinea?>">
				<td width="11%"><div align="center"><?php echo $numfac?></div></td>
				<td width="11%"><div align="center"><?php echo $fecfac?></div></td>
				<td width="12%"><div align="right"><?php echo number_format($totfac,2,".",",")?></div></td>
				<td width="14%"><div align="center"><?php echo $fecven ?></div></td>
				<td width="10%"><div align="right"><?php echo number_format($salfac,2,".",",")?></div></td>
				<td width="12%"><div align="right"><?php echo number_format($monint,2,".",",")?></div></td>
                <td width="13%"><div align="right"><?php echo number_format($montot,2,".",",")?></div></td>
                <td width="12%"><div align="right"><?php echo number_format($acumulado,2,".",",")?></div></td>
                <?php if ($borrado==0){ ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   onClick="chk_aplicacion(<?php echo $numfac ?>,<?php echo 1 ?>,<?php echo $numlinea?>)" /> </td>
		       <?php } else { ?>
                <td width="3%"><input type="checkbox" value="otro" name="valores" checked  onclick="chk_aplicacion(<?php echo $numfac ?>,<?php echo 0 ?>,<?php echo $numlinea?>)" /> </td>
                <?php }  ?> 
		    </tr>
		
<?php 
$basetotpago=$baseabono+$baseabonoint;
$basetotpago2=$baseabono+$baseabonoint;
$baseporpagar=$basesalfac+$baseintereses;
$basesaldos=$baseporpagar-$basetotpago;
$basetotpago=number_format($basetotpago,2,".",",");


if ($result = $mysqli->query("SELECT * FROM tramites_clientes_lineastmp   WHERE numrec='$numrec " )) {
   $filas = $result->num_rows;

}
	
}


?>


</table>
<blockquote>&nbsp;	</blockquote>
</div>

<div id="ztotalesawrecibos" >
			 <table width="100%" border=0  cellpadding=0 cellspacing=0>
			  <tr>
			    <td width="15%" bgcolor="#FFFFFF" >TOTALES</td>
			    <td width="8%" align="right"></td>
			    <td width="10%" align="right"></td>
			    <td width="11%" align="right"></td>
			    <td width="12%" align="right"><input  name="baseabono"  class="cajaGrande"style='text-align:right;' type="text" id="baseabono"  value="<?php echo number_format($basesaldo,2,".",",");?>" align="right" readonly>			      <b></td>
			    <td width="12%"  align="right"><input  name="baseabonoint" type="text" id="baseabonoint"  class="cajaGrande"style='text-align:right;' value="<?php echo number_format($baseint,2,".",".");?>"  align="right" readonly></td>
			    <td width="12%"  align="right"><input   name="basetotpago" class="cajaGrande" style='text-align:right;' type="text" id="basetotpago"  value="<?php echo $acumulado;?>" readonly></td>
		       <input name="posicion" type="hidden"  class="cajaGrande" id="posicion" style='text-align:right;' value="<?php echo $posicion?>" readonly>

			    <td width="12%"  align="right"><input name="basesaldos" type="text"  class="cajaGrande" id="basesaldos" style='text-align:right;' value="<?php echo number_format($tottra,2,".",",");?>" readonly>			    </td>
	  </tr>  <td width="14%"  align="right"></td>
  </table>
			
				
		 <script languaje="javascript">
pon_prefijo("<?php echo $acumulado ?>");</script>
</div> 
</body>
</html>